Eclipse Community Forums
Forum Search:

Search      Help    Register    Login    Home
Home » Modeling » GMF (Graphical Modeling Framework) » Howto install 3.0.1
Howto install 3.0.1 [message #947965] Wed, 17 October 2012 16:12 Go to next message
Nathan Hüsken is currently offline Nathan Hüsken
Messages: 27
Registered: November 2010
Junior Member
Hey,

Since I am having trouble with the 3.0.0RC4a, I wanted to try to install 3.0.1.
I downloaded it from here: http://www.eclipse.org/downloads/download.php?file=/modeling/gmp/gmf-tooling/downloads/drops/3.0.1/R201210101201/gmf-Update-3.0.1.v201210101200.zip

While trying to install it, I get:

An error occurred while collecting items to be installed
session context was:(profile=epp.package.cpp, phase=org.eclipse.equinox.internal.p2.engine.phases.Collect, operand=, action=).
No repository found containing: osgi.bundle,org.eclipse.gmf.codegen,2.9.1.201210111630
No repository found containing: osgi.bundle,org.eclipse.gmf.codegen.edit,2.9.1.201210111630
No repository found containing: osgi.bundle,org.eclipse.gmf.codegen.edit.source,2.9.1.201210111630
No repository found containing: osgi.bundle,org.eclipse.gmf.codegen.source,2.9.1.201210111630
No repository found containing: osgi.bundle,org.eclipse.gmf.graphdef.codegen,2.9.1.201210111630
No repository found containing: osgi.bundle,org.eclipse.gmf.graphdef.codegen.source,2.9.1.201210111630
No repository found containing: osgi.bundle,org.eclipse.gmf.tooling.runtime,3.0.1.201210111630
No repository found containing: osgi.bundle,org.eclipse.gmf.tooling.runtime.source,3.0.1.201210111630
No repository found containing: osgi.bundle,org.eclipse.gmf.bridge,1.3.0.201210111630
No repository found containing: osgi.bundle,org.eclipse.gmf.bridge.source,1.3.0.201210111630
No repository found containing: osgi.bundle,org.eclipse.gmf.bridge.trace,1.3.0.201210111630
No repository found containing: osgi.bundle,org.eclipse.gmf.bridge.ui,1.4.0.201210111630
No repository found containing: osgi.bundle,org.eclipse.gmf.bridge.ui.dashboard,2.3.0.201210111630
No repository found containing: osgi.bundle,org.eclipse.gmf.bridge.ui.dashboard.source,2.3.0.201210111630
No repository found containing: osgi.bundle,org.eclipse.gmf.bridge.ui.source,1.4.0.201210111630
No repository found containing: osgi.bundle,org.eclipse.gmf.codegen.ui,1.3.0.201210111630
No repository found containing: osgi.bundle,org.eclipse.gmf.codegen.ui.source,1.3.0.201210111630
No repository found containing: osgi.bundle,org.eclipse.gmf.common,1.3.0.201210111630
No repository found containing: osgi.bundle,org.eclipse.gmf.common.source,1.3.0.201210111630
No repository found containing: osgi.bundle,org.eclipse.gmf.doc,1.3.0.201210111630
No repository found containing: org.eclipse.update.feature,org.eclipse.gmf.doc,1.4.0.201210111630
No repository found containing: osgi.bundle,org.eclipse.gmf.doc.ui,1.3.0.201210111630
No repository found containing: osgi.bundle,org.eclipse.gmf.ecore.editor,2.2.0.201210111630
No repository found containing: osgi.bundle,org.eclipse.gmf.ecore.editor.source,2.2.0.201210111630
No repository found containing: osgi.bundle,org.eclipse.gmf.graphdef,2.9.0.201210111630
No repository found containing: osgi.bundle,org.eclipse.gmf.graphdef.codegen.ui,1.3.0.201210111630
No repository found containing: osgi.bundle,org.eclipse.gmf.graphdef.codegen.ui.source,1.3.0.201210111630
No repository found containing: osgi.bundle,org.eclipse.gmf.graphdef.edit,2.9.0.201210111630
No repository found containing: osgi.bundle,org.eclipse.gmf.graphdef.edit.source,2.9.0.201210111630
No repository found containing: osgi.bundle,org.eclipse.gmf.graphdef.source,2.9.0.201210111630
No repository found containing: osgi.bundle,org.eclipse.gmf.map,2.9.0.201210111630
No repository found containing: osgi.bundle,org.eclipse.gmf.map.edit,2.9.0.201210111630
No repository found containing: osgi.bundle,org.eclipse.gmf.map.edit.source,2.9.0.201210111630
No repository found containing: osgi.bundle,org.eclipse.gmf.map.source,2.9.0.201210111630
No repository found containing: osgi.bundle,org.eclipse.gmf.sdk,1.0.0.201210111630
No repository found containing: org.eclipse.update.feature,org.eclipse.gmf.sdk,3.0.1.201210111630
No repository found containing: binary,org.eclipse.gmf.sdk_root,3.0.1.201210111630
No repository found containing: osgi.bundle,org.eclipse.gmf.tooldef,2.3.0.201210111630
No repository found containing: osgi.bundle,org.eclipse.gmf.tooldef.edit,2.3.0.201210111630
No repository found containing: osgi.bundle,org.eclipse.gmf.tooldef.edit.source,2.3.0.201210111630
No repository found containing: osgi.bundle,org.eclipse.gmf.tooldef.source,2.3.0.201210111630
No repository found containing: osgi.bundle,org.eclipse.gmf.tooling,2.1.0.201210111630
No repository found containing: org.eclipse.update.feature,org.eclipse.gmf.tooling,3.0.1.201210111630
No repository found containing: org.eclipse.update.feature,org.eclipse.gmf.tooling.runtime,3.0.1.201210111630
No repository found containing: org.eclipse.update.feature,org.eclipse.gmf.tooling.runtime.source,3.0.1.201210111630
No repository found containing: binary,org.eclipse.gmf.tooling.runtime_root,3.0.1.201210111630
No repository found containing: org.eclipse.update.feature,org.eclipse.gmf.tooling.source,3.0.1.201210111630
No repository found containing: binary,org.eclipse.gmf.tooling_root,3.0.1.201210111630
No repository found containing: osgi.bundle,org.eclipse.gmf.validate,1.2.0.201210111630
No repository found containing: osgi.bundle,org.eclipse.gmf.validate.source,1.2.0.201210111630
No repository found containing: osgi.bundle,org.eclipse.gmf.xpand,2.1.0.201210111630
No repository found containing: osgi.bundle,org.eclipse.gmf.xpand.editor,2.1.0.201210111630
No repository found containing: osgi.bundle,org.eclipse.gmf.xpand.editor.source,2.1.0.201210111630
No repository found containing: osgi.bundle,org.eclipse.gmf.xpand.qvtlibrary,1.1.0.201210111630
No repository found containing: osgi.bundle,org.eclipse.gmf.xpand.qvtlibrary.source,1.1.0.201210111630
No repository found containing: osgi.bundle,org.eclipse.gmf.xpand.source,2.1.0.201210111630


Am I missing dependencies? What is the proper way to isntall this update?
I am using Eclipse 4.2.

Regards,
Nathan
Re: Howto install 3.0.1 [message #948724 is a reply to message #947965] Thu, 18 October 2012 10:04 Go to previous message
Michael Golubev is currently offline Michael Golubev
Messages: 373
Registered: July 2009
Senior Member
Hello,

I will take a look at this, the script that creates the drops had been recently changed, may be there is a problem here.

So far, can you try to install from update site, pointing to: http://download.eclipse.org/modeling/gmp/gmf-tooling/updates/releases-3.0.1/

Can you describe what are the problems with 3.0? I would appreciate if you submit bugzilla's for that.

Regards,
Michael

Previous Topic:Attributes with relationship
Next Topic:Errors in generated code for tutorial1
Goto Forum:
  


Current Time: Sat Oct 25 18:24:33 GMT 2014

Powered by FUDForum. Page generated in 0.01584 seconds
.:: Contact :: Home ::.

Powered by: FUDforum 3.0.2.
Copyright ©2001-2010 FUDforum Bulletin Board Software